HotPads
HotPads: Search
Search from HotPads. Costs 1 credit per successful call.
GET
https://api.perceptlayer.com
/
v1
/
hotpads
/
search
Search
curl --request GET \
--url https://api.perceptlayer.com/v1/hotpads/search \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.perceptlayer.com/v1/hotpads/search"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.perceptlayer.com/v1/hotpads/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.perceptlayer.com/v1/hotpads/search';
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.perceptlayer.com/v1/hotpads/search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.perceptlayer.com/v1/hotpads/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.perceptlayer.com/v1/hotpads/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.get("https://api.perceptlayer.com/v1/hotpads/search")
.header("X-API-Key", "<api-key>")
.asString();{
"endpoint": "hotpads.search",
"params": {
"area": "albuquerque-nm",
"type": "apartments"
},
"response": {
"success": true,
"data": {
"area": {
"title": "Albuquerque, NM Apartments for Rent",
"url": "https://hotpads.com/albuquerque-nm/apartments-for-rent"
},
"results": [
{
"id": "249njun",
"name": "Markana Uptown",
"url": "https://hotpads.com/markana-uptown-albuquerque-nm-87110-249njun/pad",
"listing_id": "2q29a1ud4hqp5",
"property_type": "large",
"listing_type": "rental",
"address": {
"street": "6500 Americas Pkwy NE",
"city": "Albuquerque",
"state": "NM",
"zip": "87110"
},
"location": {
"latitude": 35.101585147458174,
"longitude": -106.57245218753815
},
"price": {
"min": 1732,
"max": 2529,
"currency": "USD"
},
"beds": {
"min": 0,
"max": 2
},
"baths": {
"min": 1,
"max": 2
},
"sqft": {
"min": 589,
"max": 1022
},
"unit_count": 12,
"price_drop_count": 2,
"labels": [
"New Today",
"Special Offer",
"Price Drop"
],
"photos": [
"https://photos.zillowstatic.com/fp/a1c71fa224ed5d373f00702513e7ce94-rentals_large_1200_1200.webp",
"https://photos.zillowstatic.com/fp/948e490e4de99ba09290e000be6c2963-rentals_large_1200_1200.webp",
"https://photos.zillowstatic.com/fp/ebe577cd972f71084a7d73c1f31ad2ba-rentals_large_1200_1200.webp"
],
"listed_at": "2023-10-25T14:34:52Z",
"updated_at": "2026-10-22T00:55:05Z"
},
{
"id": "24ujecn",
"name": "Allaso Olivine",
"url": "https://hotpads.com/allaso-olivine-albuquerque-nm-87113-24ujecn/pad",
"listing_id": "4f522xwhsm7ad",
"property_type": "large",
"listing_type": "rental",
"address": {
"street": "6925 Alameda Blvd NE",
"city": "Albuquerque",
"state": "NM",
"zip": "87113"
},
"location": {
"latitude": 35.185219271148405,
"longitude": -106.56940519809723
},
"price": {
"min": 1495,
"max": 2337,
"currency": "USD"
},
"beds": {
"min": 0,
"max": 2
},
"baths": {
"min": 1,
"max": 2
},
"sqft": {
"min": 643,
"max": 1173
},
"unit_count": 6,
"price_drop_count": 5,
"special_offer": "$$500 Off",
"labels": [
"$$500 Off",
"Price Drop"
],
"photos": [
"https://photos.zillowstatic.com/fp/5616333195e43fb534575d18c588aba2-rentals_large_1200_1200.webp",
"https://photos.zillowstatic.com/fp/4a61dd6ef988234d0ea26000f70f775f-rentals_large_1200_1200.webp",
"https://photos.zillowstatic.com/fp/9576ee227e694714c8c9c418049b637d-rentals_large_1200_1200.webp"
],
"listed_at": "2025-08-29T20:47:01Z",
"updated_at": "2026-10-21T23:58:15Z"
},
{
"id": "24fd5j2",
"name": "Allaso Vineyards",
"url": "https://hotpads.com/allaso-vineyards-albuquerque-nm-87122-24fd5j2/pad",
"listing_id": "2c8mre655n0z6",
"property_type": "large",
"listing_type": "rental",
"address": {
"street": "8901 Holly Ave NE",
"city": "Albuquerque",
"state": "NM",
"zip": "87122"
},
"location": {
"latitude": 35.17594813075956,
"longitude": -106.54412806034088
},
"price": {
"min": 1722,
"max": 2393,
"currency": "USD"
},
"beds": {
"min": 1,
"max": 2
},
"baths": {
"min": 1,
"max": 2
},
"sqft": {
"min": 634,
"max": 1154
},
"unit_count": 7,
"price_drop_count": 3,
"special_offer": "2 Weeks Free",
"labels": [
"New Today",
"2 Weeks Free",
"Price Drop"
],
"photos": [
"https://photos.zillowstatic.com/fp/31fd1c7864172098f9c6095072b18a94-rentals_large_1200_1200.webp",
"https://photos.zillowstatic.com/fp/d1508d9e73bec2e49979cfd8a4919c67-rentals_large_1200_1200.webp",
"https://photos.zillowstatic.com/fp/d7d5695ea5d28dcc3454d94279690c8f-rentals_large_1200_1200.webp"
],
"listed_at": "2024-06-20T19:46:59Z",
"updated_at": "2026-10-23T17:55:55Z"
}
],
"page": 1,
"per_page": 40,
"total_pages": 10,
"total_results": 3541,
"has_more": true
},
"meta": {
"endpoint_family": "search",
"billable": true
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}1 credit per successful call; failed calls are free. See the HotPads API overview for every HotPads endpoint.
Authorizations
Query Parameters
Maximum string length:
100Available options:
apartments, houses, condos, townhomes Was this page helpful?
⌘I
Search
curl --request GET \
--url https://api.perceptlayer.com/v1/hotpads/search \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.perceptlayer.com/v1/hotpads/search"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.perceptlayer.com/v1/hotpads/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.perceptlayer.com/v1/hotpads/search';
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.perceptlayer.com/v1/hotpads/search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.perceptlayer.com/v1/hotpads/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.perceptlayer.com/v1/hotpads/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.get("https://api.perceptlayer.com/v1/hotpads/search")
.header("X-API-Key", "<api-key>")
.asString();{
"endpoint": "hotpads.search",
"params": {
"area": "albuquerque-nm",
"type": "apartments"
},
"response": {
"success": true,
"data": {
"area": {
"title": "Albuquerque, NM Apartments for Rent",
"url": "https://hotpads.com/albuquerque-nm/apartments-for-rent"
},
"results": [
{
"id": "249njun",
"name": "Markana Uptown",
"url": "https://hotpads.com/markana-uptown-albuquerque-nm-87110-249njun/pad",
"listing_id": "2q29a1ud4hqp5",
"property_type": "large",
"listing_type": "rental",
"address": {
"street": "6500 Americas Pkwy NE",
"city": "Albuquerque",
"state": "NM",
"zip": "87110"
},
"location": {
"latitude": 35.101585147458174,
"longitude": -106.57245218753815
},
"price": {
"min": 1732,
"max": 2529,
"currency": "USD"
},
"beds": {
"min": 0,
"max": 2
},
"baths": {
"min": 1,
"max": 2
},
"sqft": {
"min": 589,
"max": 1022
},
"unit_count": 12,
"price_drop_count": 2,
"labels": [
"New Today",
"Special Offer",
"Price Drop"
],
"photos": [
"https://photos.zillowstatic.com/fp/a1c71fa224ed5d373f00702513e7ce94-rentals_large_1200_1200.webp",
"https://photos.zillowstatic.com/fp/948e490e4de99ba09290e000be6c2963-rentals_large_1200_1200.webp",
"https://photos.zillowstatic.com/fp/ebe577cd972f71084a7d73c1f31ad2ba-rentals_large_1200_1200.webp"
],
"listed_at": "2023-10-25T14:34:52Z",
"updated_at": "2026-10-22T00:55:05Z"
},
{
"id": "24ujecn",
"name": "Allaso Olivine",
"url": "https://hotpads.com/allaso-olivine-albuquerque-nm-87113-24ujecn/pad",
"listing_id": "4f522xwhsm7ad",
"property_type": "large",
"listing_type": "rental",
"address": {
"street": "6925 Alameda Blvd NE",
"city": "Albuquerque",
"state": "NM",
"zip": "87113"
},
"location": {
"latitude": 35.185219271148405,
"longitude": -106.56940519809723
},
"price": {
"min": 1495,
"max": 2337,
"currency": "USD"
},
"beds": {
"min": 0,
"max": 2
},
"baths": {
"min": 1,
"max": 2
},
"sqft": {
"min": 643,
"max": 1173
},
"unit_count": 6,
"price_drop_count": 5,
"special_offer": "$$500 Off",
"labels": [
"$$500 Off",
"Price Drop"
],
"photos": [
"https://photos.zillowstatic.com/fp/5616333195e43fb534575d18c588aba2-rentals_large_1200_1200.webp",
"https://photos.zillowstatic.com/fp/4a61dd6ef988234d0ea26000f70f775f-rentals_large_1200_1200.webp",
"https://photos.zillowstatic.com/fp/9576ee227e694714c8c9c418049b637d-rentals_large_1200_1200.webp"
],
"listed_at": "2025-08-29T20:47:01Z",
"updated_at": "2026-10-21T23:58:15Z"
},
{
"id": "24fd5j2",
"name": "Allaso Vineyards",
"url": "https://hotpads.com/allaso-vineyards-albuquerque-nm-87122-24fd5j2/pad",
"listing_id": "2c8mre655n0z6",
"property_type": "large",
"listing_type": "rental",
"address": {
"street": "8901 Holly Ave NE",
"city": "Albuquerque",
"state": "NM",
"zip": "87122"
},
"location": {
"latitude": 35.17594813075956,
"longitude": -106.54412806034088
},
"price": {
"min": 1722,
"max": 2393,
"currency": "USD"
},
"beds": {
"min": 1,
"max": 2
},
"baths": {
"min": 1,
"max": 2
},
"sqft": {
"min": 634,
"max": 1154
},
"unit_count": 7,
"price_drop_count": 3,
"special_offer": "2 Weeks Free",
"labels": [
"New Today",
"2 Weeks Free",
"Price Drop"
],
"photos": [
"https://photos.zillowstatic.com/fp/31fd1c7864172098f9c6095072b18a94-rentals_large_1200_1200.webp",
"https://photos.zillowstatic.com/fp/d1508d9e73bec2e49979cfd8a4919c67-rentals_large_1200_1200.webp",
"https://photos.zillowstatic.com/fp/d7d5695ea5d28dcc3454d94279690c8f-rentals_large_1200_1200.webp"
],
"listed_at": "2024-06-20T19:46:59Z",
"updated_at": "2026-10-23T17:55:55Z"
}
],
"page": 1,
"per_page": 40,
"total_pages": 10,
"total_results": 3541,
"has_more": true
},
"meta": {
"endpoint_family": "search",
"billable": true
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}